Name:           qt4pas
Version:        2.5
Release:        2%{?dist}
Summary:        Free Pascal Qt4 Binding
License:        LGPLv3
URL:            http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html
Source0:        http://users.telenet.be/Jan.Van.hijfte/qtforfpc/V%{version}/%{name}-V%{version}_Qt4.5.3.tar.gz
BuildRequires:  qt4-devel 
BuildRequires:  qtwebkit-devel
Requires:       fpc-src

%description
The Free Pascal Qt4 binding allows Free Pascal to interface with the 
C++ Library Qt.

This binding does not cover the whole Qt4 framework but only the 
classes needed by the Cross Platform Lazarus IDE to use Qt as a 
Widget set.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{name}-V%{version}_Qt4.5.3

%build
%qmake_qt4 Qt4Pas.pro
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.TXT COPYING.TXT
%{_libdir}/libQt4Pas.so.*

%files devel
%{_libdir}/libQt4Pas.so

%changelog
* Thu Jul 25 2013 Christopher Meng <rpm@cicku.me> - 2.5-2
- Remove unneeded pas file.

* Sat Dec 31 2011 Christopher Meng <rpm@cicku.me> - 2.5-1
- Update to new version.

* Tue Jul 19 2011 Christopher Meng <rpm@cicku.me> - 2.4-1
- Update to new version.
- Qt4.7 support.
- Add -mstackrealign to avoid crashes.

* Tue Aug 17 2010 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.2-1
- Initial Package.
